<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\TeacherModel;

class TeacherModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(TeacherModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(TeacherModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(TeacherModel::class);
    }
}
